安装 Robot Framework


如果想使用 Robot Framework 必须要安装:

  • Python 编程语言,参考

  • Robot Framework

Robot Framework 推荐 pip 方法安装 (在Windows命令提示符(cmd)/ Linux终端输入):

λ pip install robotframework

Collecting robotframework
  Using cached robotframework-3.0.2.tar.gz
Installing collected packages: robotframework
  Running setup.py install for robotframework ... done
Successfully installed robotframework-3.0.2                       


安装 RIDE(可选)


如果你使用的是 Python2.x 版本,虽然 Python2.x 预计到2020年停止维护了,但仍然不少人在使用,Robot Framework 的所有相关库也没有完全迁移到Python3.x。

比如 Robot Framework RIDE ,它是编写 Robot Framework 的标准编辑器。对于新手来降低了 Robot Framework的使用门槛。

接下来安装 RIDE (只针对 Python2.x 环境)

  • 安装 wxPython

下载地址: http://sourceforge.net/projects/wxpython/files/wxPython/2.8.12.1/

wxPython 是 Python 非常有名的一个 GUI 库,因为 RIDE 是基于这个库开发的,所以这个必须安装。必须是 wxPython 2.8.12.1 版本,RIDE 基于该版本开发。

  • 安装 RIDE

推荐 pip 安装

λ pip install robotframework-ride

Collecting robotframework-ride
  Using cached robotframework-ride-1.5.2.1.tar.gz
Installing collected packages: robotframework-ride
  Running setup.py install for robotframework-ride ... done
Successfully installed robotframework-ride-1.5.2.1

RIDE 是 Robot Framework 的官方编辑器。它使测试用例的创建、运行、测试项目的组织可以在图形界面下完成。

  • 启动 RIDE

切换到 Python2.7.x 的 Script 目录(例如:C:\Python27\Scripts), 运行 ride.py 文件。

C:\Python27\Scripts> python ride.py


Python3.x 可用的编辑器


那身为一个Python3.x的用户应该使用什么编辑器来开发 Robot Framework 呢? Robot Framework 提供了主流编辑器的插件,这里。 Atom、Eclipse、Notepad++、IntelliJ IDEA、Sublime text 、Vim 都可以找到对应的插件。

这里选择 Sublime text3 为例。

  • 安装Sublime text3

官网:http://www.sublimetext.com/

  • 下载(克隆)sublime-robot-framework-assistant

项目地址:https://github.com/andriyko/sublime-robot-framework-assistant

将整个 sublime-robot-framework-assistant-master 项目目录放拷贝到 Sublime Text3 的 Packages 目录下,然后,重启动 Sublime Text3。

(打开 sublime text 编辑器, 菜单栏:Perferences –> Browser Packages… 打开的目录就是 Packages 目录了!)

在 Sublime Text3 菜单栏选择 “View”–>“Syntax”–> “Robot Framework syntax highlighting” ,选择Robot Framework语法高亮。

最终效果如下: